(defproblem problem domain 
  (
    (visible waypoint0 waypoint6)
    (visible waypoint6 waypoint0)
    (visible waypoint0 waypoint7)
    (visible waypoint7 waypoint0)
    (visible waypoint0 waypoint18)
    (visible waypoint18 waypoint0)
    (visible waypoint1 waypoint11)
    (visible waypoint11 waypoint1)
    (visible waypoint2 waypoint0)
    (visible waypoint0 waypoint2)
    (visible waypoint2 waypoint5)
    (visible waypoint5 waypoint2)
    (visible waypoint2 waypoint7)
    (visible waypoint7 waypoint2)
    (visible waypoint2 waypoint10)
    (visible waypoint10 waypoint2)
    (visible waypoint2 waypoint18)
    (visible waypoint18 waypoint2)
    (visible waypoint2 waypoint19)
    (visible waypoint19 waypoint2)
    (visible waypoint3 waypoint2)
    (visible waypoint2 waypoint3)
    (visible waypoint3 waypoint9)
    (visible waypoint9 waypoint3)
    (visible waypoint3 waypoint10)
    (visible waypoint10 waypoint3)
    (visible waypoint3 waypoint14)
    (visible waypoint14 waypoint3)
    (visible waypoint4 waypoint1)
    (visible waypoint1 waypoint4)
    (visible waypoint4 waypoint2)
    (visible waypoint2 waypoint4)
    (visible waypoint4 waypoint3)
    (visible waypoint3 waypoint4)
    (visible waypoint4 waypoint9)
    (visible waypoint9 waypoint4)
    (visible waypoint4 waypoint12)
    (visible waypoint12 waypoint4)
    (visible waypoint4 waypoint17)
    (visible waypoint17 waypoint4)
    (visible waypoint5 waypoint0)
    (visible waypoint0 waypoint5)
    (visible waypoint5 waypoint3)
    (visible waypoint3 waypoint5)
    (visible waypoint5 waypoint13)
    (visible waypoint13 waypoint5)
    (visible waypoint5 waypoint15)
    (visible waypoint15 waypoint5)
    (visible waypoint5 waypoint16)
    (visible waypoint16 waypoint5)
    (visible waypoint5 waypoint17)
    (visible waypoint17 waypoint5)
    (visible waypoint5 waypoint19)
    (visible waypoint19 waypoint5)
    (visible waypoint6 waypoint1)
    (visible waypoint1 waypoint6)
    (visible waypoint6 waypoint8)
    (visible waypoint8 waypoint6)
    (visible waypoint6 waypoint16)
    (visible waypoint16 waypoint6)
    (visible waypoint6 waypoint19)
    (visible waypoint19 waypoint6)
    (visible waypoint7 waypoint3)
    (visible waypoint3 waypoint7)
    (visible waypoint7 waypoint4)
    (visible waypoint4 waypoint7)
    (visible waypoint7 waypoint8)
    (visible waypoint8 waypoint7)
    (visible waypoint7 waypoint9)
    (visible waypoint9 waypoint7)
    (visible waypoint7 waypoint13)
    (visible waypoint13 waypoint7)
    (visible waypoint8 waypoint2)
    (visible waypoint2 waypoint8)
    (visible waypoint8 waypoint14)
    (visible waypoint14 waypoint8)
    (visible waypoint8 waypoint18)
    (visible waypoint18 waypoint8)
    (visible waypoint9 waypoint0)
    (visible waypoint0 waypoint9)
    (visible waypoint9 waypoint1)
    (visible waypoint1 waypoint9)
    (visible waypoint9 waypoint2)
    (visible waypoint2 waypoint9)
    (visible waypoint9 waypoint10)
    (visible waypoint10 waypoint9)
    (visible waypoint10 waypoint4)
    (visible waypoint4 waypoint10)
    (visible waypoint10 waypoint12)
    (visible waypoint12 waypoint10)
    (visible waypoint10 waypoint14)
    (visible waypoint14 waypoint10)
    (visible waypoint11 waypoint5)
    (visible waypoint5 waypoint11)
    (visible waypoint11 waypoint7)
    (visible waypoint7 waypoint11)
    (visible waypoint11 waypoint8)
    (visible waypoint8 waypoint11)
    (visible waypoint11 waypoint9)
    (visible waypoint9 waypoint11)
    (visible waypoint11 waypoint17)
    (visible waypoint17 waypoint11)
    (visible waypoint11 waypoint19)
    (visible waypoint19 waypoint11)
    (visible waypoint12 waypoint1)
    (visible waypoint1 waypoint12)
    (visible waypoint12 waypoint5)
    (visible waypoint5 waypoint12)
    (visible waypoint12 waypoint7)
    (visible waypoint7 waypoint12)
    (visible waypoint12 waypoint9)
    (visible waypoint9 waypoint12)
    (visible waypoint12 waypoint15)
    (visible waypoint15 waypoint12)
    (visible waypoint12 waypoint16)
    (visible waypoint16 waypoint12)
    (visible waypoint13 waypoint0)
    (visible waypoint0 waypoint13)
    (visible waypoint13 waypoint6)
    (visible waypoint6 waypoint13)
    (visible waypoint14 waypoint11)
    (visible waypoint11 waypoint14)
    (visible waypoint14 waypoint12)
    (visible waypoint12 waypoint14)
    (visible waypoint14 waypoint19)
    (visible waypoint19 waypoint14)
    (visible waypoint15 waypoint6)
    (visible waypoint6 waypoint15)
    (visible waypoint15 waypoint11)
    (visible waypoint11 waypoint15)
    (visible waypoint16 waypoint1)
    (visible waypoint1 waypoint16)
    (visible waypoint16 waypoint11)
    (visible waypoint11 waypoint16)
    (visible waypoint16 waypoint13)
    (visible waypoint13 waypoint16)
    (visible waypoint16 waypoint18)
    (visible waypoint18 waypoint16)
    (visible waypoint17 waypoint2)
    (visible waypoint2 waypoint17)
    (visible waypoint17 waypoint3)
    (visible waypoint3 waypoint17)
    (visible waypoint17 waypoint14)
    (visible waypoint14 waypoint17)
    (visible waypoint18 waypoint7)
    (visible waypoint7 waypoint18)
    (visible waypoint18 waypoint10)
    (visible waypoint10 waypoint18)
    (visible waypoint18 waypoint17)
    (visible waypoint17 waypoint18)
    (visible waypoint19 waypoint0)
    (visible waypoint0 waypoint19)
    (visible waypoint19 waypoint12)
    (visible waypoint12 waypoint19)
    (visible waypoint19 waypoint13)
    (visible waypoint13 waypoint19)
    (at-soil-sample waypoint3)
    (at-rock-sample waypoint3)
    (at-rock-sample waypoint4)
    (at-soil-sample waypoint5)
    (at-rock-sample waypoint6)
    (at-soil-sample waypoint8)
    (at-rock-sample waypoint9)
    (at-soil-sample waypoint11)
    (at-soil-sample waypoint12)
    (at-soil-sample waypoint14)
    (at-soil-sample waypoint15)
    (at-soil-sample waypoint16)
    (at-soil-sample waypoint17)
    (at-rock-sample waypoint17)
    (at-soil-sample waypoint18)
    (at-rock-sample waypoint19)
    (at-lander general waypoint6)
    (channel-free general)
    (at rover0 waypoint2)
    (available rover0)
    (store-of rover0store rover0)
    (empty rover0store)
    (equipped-for-imaging rover0)
    (can-traverse rover0 waypoint2 waypoint0)
    (can-traverse rover0 waypoint0 waypoint2)
    (can-traverse rover0 waypoint2 waypoint4)
    (can-traverse rover0 waypoint4 waypoint2)
    (can-traverse rover0 waypoint2 waypoint5)
    (can-traverse rover0 waypoint5 waypoint2)
    (can-traverse rover0 waypoint2 waypoint7)
    (can-traverse rover0 waypoint7 waypoint2)
    (can-traverse rover0 waypoint2 waypoint9)
    (can-traverse rover0 waypoint9 waypoint2)
    (can-traverse rover0 waypoint2 waypoint18)
    (can-traverse rover0 waypoint18 waypoint2)
    (can-traverse rover0 waypoint0 waypoint6)
    (can-traverse rover0 waypoint6 waypoint0)
    (can-traverse rover0 waypoint0 waypoint13)
    (can-traverse rover0 waypoint13 waypoint0)
    (can-traverse rover0 waypoint0 waypoint19)
    (can-traverse rover0 waypoint19 waypoint0)
    (can-traverse rover0 waypoint4 waypoint1)
    (can-traverse rover0 waypoint1 waypoint4)
    (can-traverse rover0 waypoint4 waypoint3)
    (can-traverse rover0 waypoint3 waypoint4)
    (can-traverse rover0 waypoint4 waypoint12)
    (can-traverse rover0 waypoint12 waypoint4)
    (can-traverse rover0 waypoint4 waypoint17)
    (can-traverse rover0 waypoint17 waypoint4)
    (can-traverse rover0 waypoint5 waypoint11)
    (can-traverse rover0 waypoint11 waypoint5)
    (can-traverse rover0 waypoint5 waypoint15)
    (can-traverse rover0 waypoint15 waypoint5)
    (can-traverse rover0 waypoint9 waypoint10)
    (can-traverse rover0 waypoint10 waypoint9)
    (can-traverse rover0 waypoint18 waypoint8)
    (can-traverse rover0 waypoint8 waypoint18)
    (can-traverse rover0 waypoint6 waypoint16)
    (can-traverse rover0 waypoint16 waypoint6)
    (can-traverse rover0 waypoint3 waypoint14)
    (can-traverse rover0 waypoint14 waypoint3)
    (at rover1 waypoint6)
    (available rover1)
    (store-of rover1store rover1)
    (empty rover1store)
    (equipped-for-imaging rover1)
    (can-traverse rover1 waypoint6 waypoint0)
    (can-traverse rover1 waypoint0 waypoint6)
    (can-traverse rover1 waypoint6 waypoint8)
    (can-traverse rover1 waypoint8 waypoint6)
    (can-traverse rover1 waypoint6 waypoint13)
    (can-traverse rover1 waypoint13 waypoint6)
    (can-traverse rover1 waypoint6 waypoint15)
    (can-traverse rover1 waypoint15 waypoint6)
    (can-traverse rover1 waypoint6 waypoint16)
    (can-traverse rover1 waypoint16 waypoint6)
    (can-traverse rover1 waypoint6 waypoint19)
    (can-traverse rover1 waypoint19 waypoint6)
    (can-traverse rover1 waypoint0 waypoint2)
    (can-traverse rover1 waypoint2 waypoint0)
    (can-traverse rover1 waypoint0 waypoint5)
    (can-traverse rover1 waypoint5 waypoint0)
    (can-traverse rover1 waypoint0 waypoint18)
    (can-traverse rover1 waypoint18 waypoint0)
    (can-traverse rover1 waypoint8 waypoint11)
    (can-traverse rover1 waypoint11 waypoint8)
    (can-traverse rover1 waypoint13 waypoint7)
    (can-traverse rover1 waypoint7 waypoint13)
    (can-traverse rover1 waypoint15 waypoint12)
    (can-traverse rover1 waypoint12 waypoint15)
    (can-traverse rover1 waypoint16 waypoint1)
    (can-traverse rover1 waypoint1 waypoint16)
    (can-traverse rover1 waypoint2 waypoint3)
    (can-traverse rover1 waypoint3 waypoint2)
    (can-traverse rover1 waypoint2 waypoint4)
    (can-traverse rover1 waypoint4 waypoint2)
    (can-traverse rover1 waypoint2 waypoint9)
    (can-traverse rover1 waypoint9 waypoint2)
    (can-traverse rover1 waypoint2 waypoint10)
    (can-traverse rover1 waypoint10 waypoint2)
    (can-traverse rover1 waypoint5 waypoint17)
    (can-traverse rover1 waypoint17 waypoint5)
    (can-traverse rover1 waypoint11 waypoint14)
    (can-traverse rover1 waypoint14 waypoint11)
    (at rover2 waypoint13)
    (available rover2)
    (store-of rover2store rover2)
    (empty rover2store)
    (equipped-for-soil-analysis rover2)
    (equipped-for-imaging rover2)
    (can-traverse rover2 waypoint13 waypoint0)
    (can-traverse rover2 waypoint0 waypoint13)
    (can-traverse rover2 waypoint13 waypoint6)
    (can-traverse rover2 waypoint6 waypoint13)
    (can-traverse rover2 waypoint13 waypoint7)
    (can-traverse rover2 waypoint7 waypoint13)
    (can-traverse rover2 waypoint13 waypoint16)
    (can-traverse rover2 waypoint16 waypoint13)
    (can-traverse rover2 waypoint13 waypoint19)
    (can-traverse rover2 waypoint19 waypoint13)
    (can-traverse rover2 waypoint0 waypoint5)
    (can-traverse rover2 waypoint5 waypoint0)
    (can-traverse rover2 waypoint0 waypoint9)
    (can-traverse rover2 waypoint9 waypoint0)
    (can-traverse rover2 waypoint0 waypoint18)
    (can-traverse rover2 waypoint18 waypoint0)
    (can-traverse rover2 waypoint6 waypoint8)
    (can-traverse rover2 waypoint8 waypoint6)
    (can-traverse rover2 waypoint6 waypoint15)
    (can-traverse rover2 waypoint15 waypoint6)
    (can-traverse rover2 waypoint7 waypoint2)
    (can-traverse rover2 waypoint2 waypoint7)
    (can-traverse rover2 waypoint7 waypoint4)
    (can-traverse rover2 waypoint4 waypoint7)
    (can-traverse rover2 waypoint7 waypoint12)
    (can-traverse rover2 waypoint12 waypoint7)
    (can-traverse rover2 waypoint16 waypoint1)
    (can-traverse rover2 waypoint1 waypoint16)
    (can-traverse rover2 waypoint16 waypoint11)
    (can-traverse rover2 waypoint11 waypoint16)
    (can-traverse rover2 waypoint19 waypoint14)
    (can-traverse rover2 waypoint14 waypoint19)
    (can-traverse rover2 waypoint5 waypoint3)
    (can-traverse rover2 waypoint3 waypoint5)
    (can-traverse rover2 waypoint9 waypoint10)
    (can-traverse rover2 waypoint10 waypoint9)
    (can-traverse rover2 waypoint18 waypoint17)
    (can-traverse rover2 waypoint17 waypoint18)
    (at rover3 waypoint11)
    (available rover3)
    (store-of rover3store rover3)
    (empty rover3store)
    (equipped-for-soil-analysis rover3)
    (equipped-for-rock-analysis rover3)
    (equipped-for-imaging rover3)
    (can-traverse rover3 waypoint11 waypoint1)
    (can-traverse rover3 waypoint1 waypoint11)
    (can-traverse rover3 waypoint11 waypoint7)
    (can-traverse rover3 waypoint7 waypoint11)
    (can-traverse rover3 waypoint11 waypoint9)
    (can-traverse rover3 waypoint9 waypoint11)
    (can-traverse rover3 waypoint11 waypoint14)
    (can-traverse rover3 waypoint14 waypoint11)
    (can-traverse rover3 waypoint11 waypoint16)
    (can-traverse rover3 waypoint16 waypoint11)
    (can-traverse rover3 waypoint11 waypoint17)
    (can-traverse rover3 waypoint17 waypoint11)
    (can-traverse rover3 waypoint1 waypoint4)
    (can-traverse rover3 waypoint4 waypoint1)
    (can-traverse rover3 waypoint7 waypoint2)
    (can-traverse rover3 waypoint2 waypoint7)
    (can-traverse rover3 waypoint7 waypoint3)
    (can-traverse rover3 waypoint3 waypoint7)
    (can-traverse rover3 waypoint7 waypoint12)
    (can-traverse rover3 waypoint12 waypoint7)
    (can-traverse rover3 waypoint7 waypoint13)
    (can-traverse rover3 waypoint13 waypoint7)
    (can-traverse rover3 waypoint7 waypoint18)
    (can-traverse rover3 waypoint18 waypoint7)
    (can-traverse rover3 waypoint9 waypoint0)
    (can-traverse rover3 waypoint0 waypoint9)
    (can-traverse rover3 waypoint14 waypoint8)
    (can-traverse rover3 waypoint8 waypoint14)
    (can-traverse rover3 waypoint14 waypoint10)
    (can-traverse rover3 waypoint10 waypoint14)
    (can-traverse rover3 waypoint16 waypoint5)
    (can-traverse rover3 waypoint5 waypoint16)
    (can-traverse rover3 waypoint16 waypoint6)
    (can-traverse rover3 waypoint6 waypoint16)
    (can-traverse rover3 waypoint2 waypoint19)
    (can-traverse rover3 waypoint19 waypoint2)
    (can-traverse rover3 waypoint12 waypoint15)
    (can-traverse rover3 waypoint15 waypoint12)
    (at rover4 waypoint0)
    (available rover4)
    (store-of rover4store rover4)
    (empty rover4store)
    (equipped-for-soil-analysis rover4)
    (equipped-for-rock-analysis rover4)
    (equipped-for-imaging rover4)
    (can-traverse rover4 waypoint0 waypoint2)
    (can-traverse rover4 waypoint2 waypoint0)
    (can-traverse rover4 waypoint0 waypoint5)
    (can-traverse rover4 waypoint5 waypoint0)
    (can-traverse rover4 waypoint0 waypoint6)
    (can-traverse rover4 waypoint6 waypoint0)
    (can-traverse rover4 waypoint0 waypoint18)
    (can-traverse rover4 waypoint18 waypoint0)
    (can-traverse rover4 waypoint2 waypoint3)
    (can-traverse rover4 waypoint3 waypoint2)
    (can-traverse rover4 waypoint2 waypoint7)
    (can-traverse rover4 waypoint7 waypoint2)
    (can-traverse rover4 waypoint2 waypoint8)
    (can-traverse rover4 waypoint8 waypoint2)
    (can-traverse rover4 waypoint2 waypoint17)
    (can-traverse rover4 waypoint17 waypoint2)
    (can-traverse rover4 waypoint2 waypoint19)
    (can-traverse rover4 waypoint19 waypoint2)
    (can-traverse rover4 waypoint5 waypoint11)
    (can-traverse rover4 waypoint11 waypoint5)
    (can-traverse rover4 waypoint5 waypoint12)
    (can-traverse rover4 waypoint12 waypoint5)
    (can-traverse rover4 waypoint5 waypoint15)
    (can-traverse rover4 waypoint15 waypoint5)
    (can-traverse rover4 waypoint5 waypoint16)
    (can-traverse rover4 waypoint16 waypoint5)
    (can-traverse rover4 waypoint6 waypoint1)
    (can-traverse rover4 waypoint1 waypoint6)
    (can-traverse rover4 waypoint6 waypoint13)
    (can-traverse rover4 waypoint13 waypoint6)
    (can-traverse rover4 waypoint18 waypoint10)
    (can-traverse rover4 waypoint10 waypoint18)
    (can-traverse rover4 waypoint3 waypoint4)
    (can-traverse rover4 waypoint4 waypoint3)
    (can-traverse rover4 waypoint3 waypoint9)
    (can-traverse rover4 waypoint9 waypoint3)
    (can-traverse rover4 waypoint8 waypoint14)
    (can-traverse rover4 waypoint14 waypoint8)
    (at rover5 waypoint12)
    (available rover5)
    (store-of rover5store rover5)
    (empty rover5store)
    (equipped-for-soil-analysis rover5)
    (equipped-for-rock-analysis rover5)
    (equipped-for-imaging rover5)
    (can-traverse rover5 waypoint12 waypoint1)
    (can-traverse rover5 waypoint1 waypoint12)
    (can-traverse rover5 waypoint12 waypoint4)
    (can-traverse rover5 waypoint4 waypoint12)
    (can-traverse rover5 waypoint12 waypoint5)
    (can-traverse rover5 waypoint5 waypoint12)
    (can-traverse rover5 waypoint12 waypoint7)
    (can-traverse rover5 waypoint7 waypoint12)
    (can-traverse rover5 waypoint12 waypoint9)
    (can-traverse rover5 waypoint9 waypoint12)
    (can-traverse rover5 waypoint12 waypoint10)
    (can-traverse rover5 waypoint10 waypoint12)
    (can-traverse rover5 waypoint12 waypoint14)
    (can-traverse rover5 waypoint14 waypoint12)
    (can-traverse rover5 waypoint12 waypoint15)
    (can-traverse rover5 waypoint15 waypoint12)
    (can-traverse rover5 waypoint12 waypoint16)
    (can-traverse rover5 waypoint16 waypoint12)
    (can-traverse rover5 waypoint1 waypoint6)
    (can-traverse rover5 waypoint6 waypoint1)
    (can-traverse rover5 waypoint1 waypoint11)
    (can-traverse rover5 waypoint11 waypoint1)
    (can-traverse rover5 waypoint4 waypoint3)
    (can-traverse rover5 waypoint3 waypoint4)
    (can-traverse rover5 waypoint4 waypoint17)
    (can-traverse rover5 waypoint17 waypoint4)
    (can-traverse rover5 waypoint5 waypoint0)
    (can-traverse rover5 waypoint0 waypoint5)
    (can-traverse rover5 waypoint5 waypoint13)
    (can-traverse rover5 waypoint13 waypoint5)
    (can-traverse rover5 waypoint5 waypoint19)
    (can-traverse rover5 waypoint19 waypoint5)
    (can-traverse rover5 waypoint7 waypoint2)
    (can-traverse rover5 waypoint2 waypoint7)
    (can-traverse rover5 waypoint7 waypoint8)
    (can-traverse rover5 waypoint8 waypoint7)
    (can-traverse rover5 waypoint7 waypoint18)
    (can-traverse rover5 waypoint18 waypoint7)
    (on-board camera0 rover2)
    (calibration-target camera0 objective0)
    (supports camera0 colour)
    (supports camera0 high-res)
    (supports camera0 low-res)
    (on-board camera1 rover1)
    (calibration-target camera1 objective1)
    (supports camera1 high-res)
    (on-board camera2 rover1)
    (calibration-target camera2 objective0)
    (supports camera2 high-res)
    (supports camera2 low-res)
    (on-board camera3 rover0)
    (calibration-target camera3 objective5)
    (supports camera3 high-res)
    (on-board camera4 rover4)
    (calibration-target camera4 objective2)
    (supports camera4 colour)
    (supports camera4 low-res)
    (on-board camera5 rover3)
    (calibration-target camera5 objective0)
    (supports camera5 colour)
    (supports camera5 low-res)
    (on-board camera6 rover5)
    (calibration-target camera6 objective6)
    (supports camera6 colour)
    (supports camera6 high-res)
    (supports camera6 low-res)
    (visible-from objective0 waypoint0)
    (visible-from objective0 waypoint1)
    (visible-from objective0 waypoint2)
    (visible-from objective0 waypoint3)
    (visible-from objective0 waypoint4)
    (visible-from objective0 waypoint5)
    (visible-from objective0 waypoint6)
    (visible-from objective0 waypoint7)
    (visible-from objective0 waypoint8)
    (visible-from objective0 waypoint9)
    (visible-from objective0 waypoint10)
    (visible-from objective0 waypoint11)
    (visible-from objective0 waypoint12)
    (visible-from objective0 waypoint13)
    (visible-from objective0 waypoint14)
    (visible-from objective0 waypoint15)
    (visible-from objective1 waypoint0)
    (visible-from objective2 waypoint0)
    (visible-from objective2 waypoint1)
    (visible-from objective2 waypoint2)
    (visible-from objective2 waypoint3)
    (visible-from objective2 waypoint4)
    (visible-from objective2 waypoint5)
    (visible-from objective2 waypoint6)
    (visible-from objective2 waypoint7)
    (visible-from objective2 waypoint8)
    (visible-from objective2 waypoint9)
    (visible-from objective2 waypoint10)
    (visible-from objective3 waypoint0)
    (visible-from objective3 waypoint1)
    (visible-from objective3 waypoint2)
    (visible-from objective3 waypoint3)
    (visible-from objective3 waypoint4)
    (visible-from objective3 waypoint5)
    (visible-from objective3 waypoint6)
    (visible-from objective3 waypoint7)
    (visible-from objective3 waypoint8)
    (visible-from objective4 waypoint0)
    (visible-from objective4 waypoint1)
    (visible-from objective4 waypoint2)
    (visible-from objective4 waypoint3)
    (visible-from objective4 waypoint4)
    (visible-from objective4 waypoint5)
    (visible-from objective4 waypoint6)
    (visible-from objective4 waypoint7)
    (visible-from objective4 waypoint8)
    (visible-from objective4 waypoint9)
    (visible-from objective4 waypoint10)
    (visible-from objective4 waypoint11)
    (visible-from objective4 waypoint12)
    (visible-from objective4 waypoint13)
    (visible-from objective4 waypoint14)
    (visible-from objective4 waypoint15)
    (visible-from objective4 waypoint16)
    (visible-from objective4 waypoint17)
    (visible-from objective4 waypoint18)
    (visible-from objective5 waypoint0)
    (visible-from objective5 waypoint1)
    (visible-from objective5 waypoint2)
    (visible-from objective5 waypoint3)
    (visible-from objective5 waypoint4)
    (visible-from objective5 waypoint5)
    (visible-from objective5 waypoint6)
    (visible-from objective5 waypoint7)
    (visible-from objective5 waypoint8)
    (visible-from objective5 waypoint9)
    (visible-from objective5 waypoint10)
    (visible-from objective5 waypoint11)
    (visible-from objective5 waypoint12)
    (visible-from objective5 waypoint13)
    (visible-from objective6 waypoint0)
    (visible-from objective6 waypoint1)
    (visible-from objective6 waypoint2)
    (visible-from objective6 waypoint3)
    (visible-from objective6 waypoint4)
    (visible-from objective6 waypoint5)
    (visible-from objective6 waypoint6)
    (visible-from objective6 waypoint7)
    (visible-from objective6 waypoint8)
    (visible-from objective6 waypoint9)
    (visible-from objective7 waypoint0)
    (visible-from objective7 waypoint1)
    (visible-from objective7 waypoint2)
    (visible-from objective7 waypoint3)
    (visible-from objective7 waypoint4)
    (visible-from objective7 waypoint5)
    (visible-from objective7 waypoint6)
    (visible-from objective7 waypoint7)
    (visible-from objective7 waypoint8)
    (visible-from objective7 waypoint9)
    (visible-from objective7 waypoint10)
    (visible-from objective7 waypoint11)
    (visible-from objective7 waypoint12)
    (visible-from objective7 waypoint13)
    (visible-from objective7 waypoint14)
    (type-camera camera0)
    (type-camera camera1)
    (type-camera camera2)
    (type-camera camera3)
    (type-camera camera4)
    (type-camera camera5)
    (type-camera camera6)
    (type-lander general)
    (type-mode colour)
    (type-mode high-res)
    (type-mode low-res)
    (type-object camera0)
    (type-object camera1)
    (type-object camera2)
    (type-object camera3)
    (type-object camera4)
    (type-object camera5)
    (type-object camera6)
    (type-object colour)
    (type-object general)
    (type-object high-res)
    (type-object low-res)
    (type-object objective0)
    (type-object objective1)
    (type-object objective2)
    (type-object objective3)
    (type-object objective4)
    (type-object objective5)
    (type-object objective6)
    (type-object objective7)
    (type-object rover0)
    (type-object rover0store)
    (type-object rover1)
    (type-object rover1store)
    (type-object rover2)
    (type-object rover2store)
    (type-object rover3)
    (type-object rover3store)
    (type-object rover4)
    (type-object rover4store)
    (type-object rover5)
    (type-object rover5store)
    (type-object waypoint0)
    (type-object waypoint1)
    (type-object waypoint10)
    (type-object waypoint11)
    (type-object waypoint12)
    (type-object waypoint13)
    (type-object waypoint14)
    (type-object waypoint15)
    (type-object waypoint16)
    (type-object waypoint17)
    (type-object waypoint18)
    (type-object waypoint19)
    (type-object waypoint2)
    (type-object waypoint3)
    (type-object waypoint4)
    (type-object waypoint5)
    (type-object waypoint6)
    (type-object waypoint7)
    (type-object waypoint8)
    (type-object waypoint9)
    (type-objective objective0)
    (type-objective objective1)
    (type-objective objective2)
    (type-objective objective3)
    (type-objective objective4)
    (type-objective objective5)
    (type-objective objective6)
    (type-objective objective7)
    (type-rover rover0)
    (type-rover rover1)
    (type-rover rover2)
    (type-rover rover3)
    (type-rover rover4)
    (type-rover rover5)
    (type-sort-for-camera0 camera0)
    (type-sort-for-camera1 camera1)
    (type-sort-for-camera2 camera2)
    (type-sort-for-camera3 camera3)
    (type-sort-for-camera4 camera4)
    (type-sort-for-camera5 camera5)
    (type-sort-for-camera6 camera6)
    (type-sort-for-colour colour)
    (type-sort-for-general general)
    (type-sort-for-high-res high-res)
    (type-sort-for-low-res low-res)
    (type-sort-for-objective0 objective0)
    (type-sort-for-objective1 objective1)
    (type-sort-for-objective2 objective2)
    (type-sort-for-objective3 objective3)
    (type-sort-for-objective4 objective4)
    (type-sort-for-objective5 objective5)
    (type-sort-for-objective6 objective6)
    (type-sort-for-objective7 objective7)
    (type-sort-for-rover0 rover0)
    (type-sort-for-rover0store rover0store)
    (type-sort-for-rover1 rover1)
    (type-sort-for-rover1store rover1store)
    (type-sort-for-rover2 rover2)
    (type-sort-for-rover2store rover2store)
    (type-sort-for-rover3 rover3)
    (type-sort-for-rover3store rover3store)
    (type-sort-for-rover4 rover4)
    (type-sort-for-rover4store rover4store)
    (type-sort-for-rover5 rover5)
    (type-sort-for-rover5store rover5store)
    (type-sort-for-waypoint0 waypoint0)
    (type-sort-for-waypoint1 waypoint1)
    (type-sort-for-waypoint10 waypoint10)
    (type-sort-for-waypoint11 waypoint11)
    (type-sort-for-waypoint12 waypoint12)
    (type-sort-for-waypoint13 waypoint13)
    (type-sort-for-waypoint14 waypoint14)
    (type-sort-for-waypoint15 waypoint15)
    (type-sort-for-waypoint16 waypoint16)
    (type-sort-for-waypoint17 waypoint17)
    (type-sort-for-waypoint18 waypoint18)
    (type-sort-for-waypoint19 waypoint19)
    (type-sort-for-waypoint2 waypoint2)
    (type-sort-for-waypoint3 waypoint3)
    (type-sort-for-waypoint4 waypoint4)
    (type-sort-for-waypoint5 waypoint5)
    (type-sort-for-waypoint6 waypoint6)
    (type-sort-for-waypoint7 waypoint7)
    (type-sort-for-waypoint8 waypoint8)
    (type-sort-for-waypoint9 waypoint9)
    (type-store rover0store)
    (type-store rover1store)
    (type-store rover2store)
    (type-store rover3store)
    (type-store rover4store)
    (type-store rover5store)
    (type-waypoint waypoint0)
    (type-waypoint waypoint1)
    (type-waypoint waypoint10)
    (type-waypoint waypoint11)
    (type-waypoint waypoint12)
    (type-waypoint waypoint13)
    (type-waypoint waypoint14)
    (type-waypoint waypoint15)
    (type-waypoint waypoint16)
    (type-waypoint waypoint17)
    (type-waypoint waypoint18)
    (type-waypoint waypoint19)
    (type-waypoint waypoint2)
    (type-waypoint waypoint3)
    (type-waypoint waypoint4)
    (type-waypoint waypoint5)
    (type-waypoint waypoint6)
    (type-waypoint waypoint7)
    (type-waypoint waypoint8)
    (type-waypoint waypoint9)
  )
  ((x--top))
)
